
/* ---------------- ScriptStandardOutputType  ----*/

insert into [ScriptStandardOutputType] ([ScriptStandardOutputTypeID], [ScriptStandardOutputTypeName]) 
	select 1, N'Integer'
    where not exists (select * from  ScriptStandardOutputType where ScriptStandardOutputTypeID  = 1 )
go
insert into [ScriptStandardOutputType] ([ScriptStandardOutputTypeID], [ScriptStandardOutputTypeName]) 
	select 2, N'String'
    where not exists (select * from  ScriptStandardOutputType where ScriptStandardOutputTypeID  = 2 )
go
insert into [ScriptStandardOutputType] ([ScriptStandardOutputTypeID], [ScriptStandardOutputTypeName]) 
	select 3, N'Xml'
    where not exists (select * from  ScriptStandardOutputType where ScriptStandardOutputTypeID  = 3 )
go


/* ---------------- ScriptType  ----*/


insert into [ScriptType] ([ScriptTypeID], [ScriptTypeName]) 
	select 1, N'Batch'
    where not exists (select * from  ScriptType where  ScriptTypeID = 1 )
go
insert into [ScriptType] ([ScriptTypeID], [ScriptTypeName]) 
	select 2, N'Executable'
    where not exists (select * from  ScriptType where  ScriptTypeID = 2 )
go
insert into [ScriptType] ([ScriptTypeID], [ScriptTypeName]) 
	select 3, N'MSI'
    where not exists (select * from  ScriptType where  ScriptTypeID = 3 )
go
insert into [ScriptType] ([ScriptTypeID], [ScriptTypeName]) 
	select 4, N'Powershell'
    where not exists (select * from  ScriptType where  ScriptTypeID = 4 )
go
insert into [ScriptType] ([ScriptTypeID], [ScriptTypeName]) 
	select 5, N'VBScript'
    where not exists (select * from  ScriptType where  ScriptTypeID = 5 )
go


/* ---------------- ScheduleType  ----*/
 
insert into [ScheduleType] ([ScheduleTypeID], [Type]) 
	select 2, N'Daily'
    where not exists (select * from  ScheduleType where  ScheduleTypeID = 2 )
go
insert into [ScheduleType] ([ScheduleTypeID], [Type]) 
	select 4, N'Monthly'
    where not exists (select * from  ScheduleType where  ScheduleTypeID = 4 )
go
insert into [ScheduleType] ([ScheduleTypeID], [Type]) 
	select 1, N'Once'
    where not exists (select * from  ScheduleType where  ScheduleTypeID = 1 )
go
insert into [ScheduleType] ([ScheduleTypeID], [Type]) 
	select 3, N'Weekly'
    where not exists (select * from  ScheduleType where  ScheduleTypeID = 3 )
go
